Use Atlantic;
GO
IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'usp_Count_Destinations') AND type = 'P')
DROP PROCEDURE dbo.usp_Count_Destinations
GO

USE Atlantic;
GO
CREATE PROCEDURE usp_Count_Destinations
 @cust_city VARCHAR(50)
, @destination VARCHAR(50) = 'Nunavut'
AS

BEGIN
	DECLARE @total_to_destination INT
	SELECT @total_to_destination = COUNT(orders_ID)
	FROM v_Atlantic_Orders
	WHERE cust_city = @cust_city AND destination_name = @destination
	PRINT @total_to_destination
END